com.sun.grid.jgdi.configuration

## Interface QueueInstance

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    QueueInstanceImpl

      public interface QueueInstance
      extends GEObject

  Java representation of the cull object QU_Type defined in sge_all_listsL.template

  Warning: The QueueInstance class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `UserSet` | `getAcl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getAclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getAclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `int` | `getAvailableAt()` Get the value of the availableAt attribute.
    `int` | `getCacheVersion()` Get the value of the cacheVersion attribute.
    `java.lang.String` | `getCalendar()` Get the value of the calendar attribute.
    `java.lang.String` | `getCkpt(int index)` Get a java.lang.String attribute at an index.
    `int` | `getCkptCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getCkptList()` Get a unmodifiable list of all java.lang.String attributes.
    `ComplexEntry` | `getConsumableConfig(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getConsumableConfigCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getConsumableConfigList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.lang.String` | `getEpilog()` Get the value of the epilog attribute.
    `java.lang.String` | `getFullName()` Get the value of the fullName attribute.
    `int` | `getGdiDoLater()` Get the value of the gdiDoLater attribute.
    `java.lang.String` | `getHCore()` Get the value of the hCore attribute.
    `java.lang.String` | `getHCpu()` Get the value of the hCpu attribute.
    `java.lang.String` | `getHData()` Get the value of the hData attribute.
    `java.lang.String` | `getHFsize()` Get the value of the hFsize attribute.
    `int` | `getHostSeqNo()` Get the value of the hostSeqNo attribute.
    `java.lang.String` | `getHRss()` Get the value of the hRss attribute.
    `java.lang.String` | `getHRt()` Get the value of the hRt attribute.
    `java.lang.String` | `getHStack()` Get the value of the hStack attribute.
    `java.lang.String` | `getHVmem()` Get the value of the hVmem attribute.
    `java.lang.String` | `getInitialState()` Get the value of the initialState attribute.
    `int` | `getJobCnt()` Get the value of the jobCnt attribute.
    `int` | `getJobSlots()` Get the value of the jobSlots attribute.
    `int` | `getLastSuspendThresholdCkeck()` Get the value of the lastSuspendThresholdCkeck attribute.
    `ComplexEntry` | `getLoadThresholds(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getLoadThresholdsCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getLoadThresholdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `QueueInstanceMessage` | `getMessage(int index)` Get a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
    `int` | `getMessageCount()` Get the number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `java.util.List<QueueInstanceMessage>` | `getMessageList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
    `java.lang.String` | `getMinCpuInterval()` Get the value of the minCpuInterval attribute.
    `java.lang.String` | `getNotify()` Get the value of the notify attribute.
    `int` | `getNsuspend()` Get the value of the nsuspend attribute.
    `UserSet` | `getOwner(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getOwnerCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getOwnerList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.lang.String` | `getPe(int index)` Get a java.lang.String attribute at an index.
    `int` | `getPeCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getPeList()` Get a unmodifiable list of all java.lang.String attributes.
    `int` | `getPendingJobCnt()` Get the value of the pendingJobCnt attribute.
    `int` | `getPendingSignal()` Get the value of the pendingSignal attribute.
    `int` | `getPendingSignalDeliveryTime()` Get the value of the pendingSignalDeliveryTime attribute.
    `java.lang.String` | `getPriority()` Get the value of the priority attribute.
    `java.lang.String` | `getProcessors()` Get the value of the processors attribute.
    `Project` | `getProjects(int index)` Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `int` | `getProjectsCount()` Get the number of com.sun.grid.jgdi.configuration.Project attributes.
    `java.util.List<Project>` | `getProjectsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
    `java.lang.String` | `getProlog()` Get the value of the prolog attribute.
    `java.lang.String` | `getQhostname()` Get the value of the qhostname attribute.
    `java.lang.String` | `getQname()` Get the value of the qname attribute.
    `int` | `getQtype()` Get the value of the qtype attribute.
    `ResourceUtilization` | `getResourceUtilization(int index)` Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
    `int` | `getResourceUtilizationCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `java.util.List<ResourceUtilization>` | `getResourceUtilizationList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `java.lang.String` | `getResumeMethod()` Get the value of the resumeMethod attribute.
    `java.lang.String` | `getSCore()` Get the value of the sCore attribute.
    `java.lang.String` | `getSCpu()` Get the value of the sCpu attribute.
    `java.lang.String` | `getSData()` Get the value of the sData attribute.
    `int` | `getSeqNo()` Get the value of the seqNo attribute.
    `java.lang.String` | `getSFsize()` Get the value of the sFsize attribute.
    `java.lang.String` | `getShell()` Get the value of the shell attribute.
    `java.lang.String` | `getShellStartMode()` Get the value of the shellStartMode attribute.
    `int` | `getSoftViolation()` Get the value of the softViolation attribute.
    `java.lang.String` | `getSRss()` Get the value of the sRss attribute.
    `java.lang.String` | `getSRt()` Get the value of the sRt attribute.
    `java.lang.String` | `getSStack()` Get the value of the sStack attribute.
    `java.lang.String` | `getStarterMethod()` Get the value of the starterMethod attribute.
    `CalendarQueueState` | `getStateChanges(int index)` Get a com.sun.grid.jgdi.configuration.CalendarQueueState attribute at an index.
    `int` | `getStateChangesCount()` Get the number of com.sun.grid.jgdi.configuration.CalendarQueueState attributes.
    `java.util.List<CalendarQueueState>` | `getStateChangesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.CalendarQueueState attributes.
    `Subordinate` | `getSubordinate(int index)` Get a com.sun.grid.jgdi.configuration.Subordinate attribute at an index.
    `int` | `getSubordinateCount()` Get the number of com.sun.grid.jgdi.configuration.Subordinate attributes.
    `java.util.List<Subordinate>` | `getSubordinateList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Subordinate attributes.
    `int` | `getSuspendedOnSubordinate()` Get the value of the suspendedOnSubordinate attribute.
    `java.lang.String` | `getSuspendInterval()` Get the value of the suspendInterval attribute.
    `java.lang.String` | `getSuspendMethod()` Get the value of the suspendMethod attribute.
    `ComplexEntry` | `getSuspendThresholds(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getSuspendThresholdsCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getSuspendThresholdsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.lang.String` | `getSVmem()` Get the value of the sVmem attribute.
    `int` | `getTag()` Get the value of the tag attribute.
    `int` | `getTagged4schedule()` Get the value of the tagged4schedule attribute.
    `java.lang.String` | `getTerminateMethod()` Get the value of the terminateMethod attribute.
    `java.lang.String` | `getTmpdir()` Get the value of the tmpdir attribute.
    `int` | `getVersion()` Get the value of the version attribute.
    `UserSet` | `getXacl(int index)` Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
    `int` | `getXaclCount()` Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
    `java.util.List<UserSet>` | `getXaclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
    `Project` | `getXprojects(int index)` Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
    `int` | `getXprojectsCount()` Get the number of com.sun.grid.jgdi.configuration.Project attributes.
    `java.util.List<Project>` | `getXprojectsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
    `boolean` | `isRerun()` Get the value of the rerun attribute.
    `boolean` | `isSetAcl()` Determine if any acl attribute is set
    `boolean` | `isSetAvailableAt()` Determine if any availableAt attribute is set
    `boolean` | `isSetCacheVersion()` Determine if any cacheVersion attribute is set
    `boolean` | `isSetCalendar()` Determine if any calendar attribute is set
    `boolean` | `isSetCkpt()` Determine if any ckpt attribute is set
    `boolean` | `isSetConsumableConfig()` Determine if any consumableConfig attribute is set
    `boolean` | `isSetEpilog()` Determine if any epilog attribute is set
    `boolean` | `isSetFullName()` Determine if any fullName attribute is set
    `boolean` | `isSetGdiDoLater()` Determine if any gdiDoLater attribute is set
    `boolean` | `isSetHCore()` Determine if any hCore attribute is set
    `boolean` | `isSetHCpu()` Determine if any hCpu attribute is set
    `boolean` | `isSetHData()` Determine if any hData attribute is set
    `boolean` | `isSetHFsize()` Determine if any hFsize attribute is set
    `boolean` | `isSetHostSeqNo()` Determine if any hostSeqNo attribute is set
    `boolean` | `isSetHRss()` Determine if any hRss attribute is set
    `boolean` | `isSetHRt()` Determine if any hRt attribute is set
    `boolean` | `isSetHStack()` Determine if any hStack attribute is set
    `boolean` | `isSetHVmem()` Determine if any hVmem attribute is set
    `boolean` | `isSetInitialState()` Determine if any initialState attribute is set
    `boolean` | `isSetJobCnt()` Determine if any jobCnt attribute is set
    `boolean` | `isSetJobSlots()` Determine if any jobSlots attribute is set
    `boolean` | `isSetLastSuspendThresholdCkeck()` Determine if any lastSuspendThresholdCkeck attribute is set
    `boolean` | `isSetLoadThresholds()` Determine if any loadThresholds attribute is set
    `boolean` | `isSetMessage()` Determine if any message attribute is set
    `boolean` | `isSetMinCpuInterval()` Determine if any minCpuInterval attribute is set
    `boolean` | `isSetNotify()` Determine if any notify attribute is set
    `boolean` | `isSetNsuspend()` Determine if any nsuspend attribute is set
    `boolean` | `isSetOwner()` Determine if any owner attribute is set
    `boolean` | `isSetPe()` Determine if any pe attribute is set
    `boolean` | `isSetPendingJobCnt()` Determine if any pendingJobCnt attribute is set
    `boolean` | `isSetPendingSignal()` Determine if any pendingSignal attribute is set
    `boolean` | `isSetPendingSignalDeliveryTime()` Determine if any pendingSignalDeliveryTime attribute is set
    `boolean` | `isSetPriority()` Determine if any priority attribute is set
    `boolean` | `isSetProcessors()` Determine if any processors attribute is set
    `boolean` | `isSetProjects()` Determine if any projects attribute is set
    `boolean` | `isSetProlog()` Determine if any prolog attribute is set
    `boolean` | `isSetQhostname()` Determine if any qhostname attribute is set
    `boolean` | `isSetQname()` Determine if any qname attribute is set
    `boolean` | `isSetQtype()` Determine if any qtype attribute is set
    `boolean` | `isSetRerun()` Determine if any rerun attribute is set
    `boolean` | `isSetResourceUtilization()` Determine if any resourceUtilization attribute is set
    `boolean` | `isSetResumeMethod()` Determine if any resumeMethod attribute is set
    `boolean` | `isSetSCore()` Determine if any sCore attribute is set
    `boolean` | `isSetSCpu()` Determine if any sCpu attribute is set
    `boolean` | `isSetSData()` Determine if any sData attribute is set
    `boolean` | `isSetSeqNo()` Determine if any seqNo attribute is set
    `boolean` | `isSetSFsize()` Determine if any sFsize attribute is set
    `boolean` | `isSetShell()` Determine if any shell attribute is set
    `boolean` | `isSetShellStartMode()` Determine if any shellStartMode attribute is set
    `boolean` | `isSetSoftViolation()` Determine if any softViolation attribute is set
    `boolean` | `isSetSRss()` Determine if any sRss attribute is set
    `boolean` | `isSetSRt()` Determine if any sRt attribute is set
    `boolean` | `isSetSStack()` Determine if any sStack attribute is set
    `boolean` | `isSetStarterMethod()` Determine if any starterMethod attribute is set
    `boolean` | `isSetStateChanges()` Determine if any stateChanges attribute is set
    `boolean` | `isSetSubordinate()` Determine if any subordinate attribute is set
    `boolean` | `isSetSuspendedOnSubordinate()` Determine if any suspendedOnSubordinate attribute is set
    `boolean` | `isSetSuspendInterval()` Determine if any suspendInterval attribute is set
    `boolean` | `isSetSuspendMethod()` Determine if any suspendMethod attribute is set
    `boolean` | `isSetSuspendThresholds()` Determine if any suspendThresholds attribute is set
    `boolean` | `isSetSVmem()` Determine if any sVmem attribute is set
    `boolean` | `isSetTag()` Determine if any tag attribute is set
    `boolean` | `isSetTagged4schedule()` Determine if any tagged4schedule attribute is set
    `boolean` | `isSetTerminateMethod()` Determine if any terminateMethod attribute is set
    `boolean` | `isSetTmpdir()` Determine if any tmpdir attribute is set
    `boolean` | `isSetVersion()` Determine if any version attribute is set
    `boolean` | `isSetXacl()` Determine if any xacl attribute is set
    `boolean` | `isSetXprojects()` Determine if any xprojects attribute is set

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### getQhostname

          java.lang.String getQhostname()

      Get the value of the qhostname attribute.
      Returns:
        the value of the qhostname attribute

    - #### isSetQhostname

          boolean isSetQhostname()

      Determine if any qhostname attribute is set
      Returns:
        `true` if the qhostname attribute is set

    - #### getQname

          java.lang.String getQname()

      Get the value of the qname attribute.
      Returns:
        the value of the qname attribute

    - #### isSetQname

          boolean isSetQname()

      Determine if any qname attribute is set
      Returns:
        `true` if the qname attribute is set

    - #### getFullName

          java.lang.String getFullName()

      Get the value of the fullName attribute.
      Returns:
        the value of the fullName attribute

    - #### isSetFullName

          boolean isSetFullName()

      Determine if any fullName attribute is set
      Returns:
        `true` if the fullName attribute is set

    - #### getTag

          int getTag()

      Get the value of the tag attribute.
      Returns:
        the value of the tag attribute

    - #### isSetTag

          boolean isSetTag()

      Determine if any tag attribute is set
      Returns:
        `true` if the tag attribute is set

    - #### getAvailableAt

          int getAvailableAt()

      Get the value of the availableAt attribute.
      Returns:
        the value of the availableAt attribute

    - #### isSetAvailableAt

          boolean isSetAvailableAt()

      Determine if any availableAt attribute is set
      Returns:
        `true` if the availableAt attribute is set

    - #### getSeqNo

          int getSeqNo()

      Get the value of the seqNo attribute.
      Returns:
        the value of the seqNo attribute

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Determine if any seqNo attribute is set
      Returns:
        `true` if the seqNo attribute is set

    - #### getNsuspend

          int getNsuspend()

      Get the value of the nsuspend attribute.
      Returns:
        the value of the nsuspend attribute

    - #### isSetNsuspend

          boolean isSetNsuspend()

      Determine if any nsuspend attribute is set
      Returns:
        `true` if the nsuspend attribute is set

    - #### getQtype

          int getQtype()

      Get the value of the qtype attribute.
      Returns:
        the value of the qtype attribute

    - #### isSetQtype

          boolean isSetQtype()

      Determine if any qtype attribute is set
      Returns:
        `true` if the qtype attribute is set

    - #### getJobSlots

          int getJobSlots()

      Get the value of the jobSlots attribute.
      Returns:
        the value of the jobSlots attribute

    - #### isSetJobSlots

          boolean isSetJobSlots()

      Determine if any jobSlots attribute is set
      Returns:
        `true` if the jobSlots attribute is set

    - #### getTmpdir

          java.lang.String getTmpdir()

      Get the value of the tmpdir attribute.
      Returns:
        the value of the tmpdir attribute

    - #### isSetTmpdir

          boolean isSetTmpdir()

      Determine if any tmpdir attribute is set
      Returns:
        `true` if the tmpdir attribute is set

    - #### getShell

          java.lang.String getShell()

      Get the value of the shell attribute.
      Returns:
        the value of the shell attribute

    - #### isSetShell

          boolean isSetShell()

      Determine if any shell attribute is set
      Returns:
        `true` if the shell attribute is set

    - #### getCalendar

          java.lang.String getCalendar()

      Get the value of the calendar attribute.
      Returns:
        the value of the calendar attribute

    - #### isSetCalendar

          boolean isSetCalendar()

      Determine if any calendar attribute is set
      Returns:
        `true` if the calendar attribute is set

    - #### getPriority

          java.lang.String getPriority()

      Get the value of the priority attribute.
      Returns:
        the value of the priority attribute

    - #### isSetPriority

          boolean isSetPriority()

      Determine if any priority attribute is set
      Returns:
        `true` if the priority attribute is set

    - #### getProcessors

          java.lang.String getProcessors()

      Get the value of the processors attribute.
      Returns:
        the value of the processors attribute

    - #### isSetProcessors

          boolean isSetProcessors()

      Determine if any processors attribute is set
      Returns:
        `true` if the processors attribute is set

    - #### getProlog

          java.lang.String getProlog()

      Get the value of the prolog attribute.
      Returns:
        the value of the prolog attribute

    - #### isSetProlog

          boolean isSetProlog()

      Determine if any prolog attribute is set
      Returns:
        `true` if the prolog attribute is set

    - #### getEpilog

          java.lang.String getEpilog()

      Get the value of the epilog attribute.
      Returns:
        the value of the epilog attribute

    - #### isSetEpilog

          boolean isSetEpilog()

      Determine if any epilog attribute is set
      Returns:
        `true` if the epilog attribute is set

    - #### getShellStartMode

          java.lang.String getShellStartMode()

      Get the value of the shellStartMode attribute.
      Returns:
        the value of the shellStartMode attribute

    - #### isSetShellStartMode

          boolean isSetShellStartMode()

      Determine if any shellStartMode attribute is set
      Returns:
        `true` if the shellStartMode attribute is set

    - #### getStarterMethod

          java.lang.String getStarterMethod()

      Get the value of the starterMethod attribute.
      Returns:
        the value of the starterMethod attribute

    - #### isSetStarterMethod

          boolean isSetStarterMethod()

      Determine if any starterMethod attribute is set
      Returns:
        `true` if the starterMethod attribute is set

    - #### getSuspendMethod

          java.lang.String getSuspendMethod()

      Get the value of the suspendMethod attribute.
      Returns:
        the value of the suspendMethod attribute

    - #### isSetSuspendMethod

          boolean isSetSuspendMethod()

      Determine if any suspendMethod attribute is set
      Returns:
        `true` if the suspendMethod attribute is set

    - #### getResumeMethod

          java.lang.String getResumeMethod()

      Get the value of the resumeMethod attribute.
      Returns:
        the value of the resumeMethod attribute

    - #### isSetResumeMethod

          boolean isSetResumeMethod()

      Determine if any resumeMethod attribute is set
      Returns:
        `true` if the resumeMethod attribute is set

    - #### getTerminateMethod

          java.lang.String getTerminateMethod()

      Get the value of the terminateMethod attribute.
      Returns:
        the value of the terminateMethod attribute

    - #### isSetTerminateMethod

          boolean isSetTerminateMethod()

      Determine if any terminateMethod attribute is set
      Returns:
        `true` if the terminateMethod attribute is set

    - #### getInitialState

          java.lang.String getInitialState()

      Get the value of the initialState attribute.
      Returns:
        the value of the initialState attribute

    - #### isSetInitialState

          boolean isSetInitialState()

      Determine if any initialState attribute is set
      Returns:
        `true` if the initialState attribute is set

    - #### isRerun

          boolean isRerun()

      Get the value of the rerun attribute.
      Returns:
        the value of the rerun attribute

    - #### isSetRerun

          boolean isSetRerun()

      Determine if any rerun attribute is set
      Returns:
        `true` if the rerun attribute is set

    - #### getSRt

          java.lang.String getSRt()

      Get the value of the sRt attribute.
      Returns:
        the value of the sRt attribute

    - #### isSetSRt

          boolean isSetSRt()

      Determine if any sRt attribute is set
      Returns:
        `true` if the sRt attribute is set

    - #### getHRt

          java.lang.String getHRt()

      Get the value of the hRt attribute.
      Returns:
        the value of the hRt attribute

    - #### isSetHRt

          boolean isSetHRt()

      Determine if any hRt attribute is set
      Returns:
        `true` if the hRt attribute is set

    - #### getSCpu

          java.lang.String getSCpu()

      Get the value of the sCpu attribute.
      Returns:
        the value of the sCpu attribute

    - #### isSetSCpu

          boolean isSetSCpu()

      Determine if any sCpu attribute is set
      Returns:
        `true` if the sCpu attribute is set

    - #### getHCpu

          java.lang.String getHCpu()

      Get the value of the hCpu attribute.
      Returns:
        the value of the hCpu attribute

    - #### isSetHCpu

          boolean isSetHCpu()

      Determine if any hCpu attribute is set
      Returns:
        `true` if the hCpu attribute is set

    - #### getSFsize

          java.lang.String getSFsize()

      Get the value of the sFsize attribute.
      Returns:
        the value of the sFsize attribute

    - #### isSetSFsize

          boolean isSetSFsize()

      Determine if any sFsize attribute is set
      Returns:
        `true` if the sFsize attribute is set

    - #### getHFsize

          java.lang.String getHFsize()

      Get the value of the hFsize attribute.
      Returns:
        the value of the hFsize attribute

    - #### isSetHFsize

          boolean isSetHFsize()

      Determine if any hFsize attribute is set
      Returns:
        `true` if the hFsize attribute is set

    - #### getSData

          java.lang.String getSData()

      Get the value of the sData attribute.
      Returns:
        the value of the sData attribute

    - #### isSetSData

          boolean isSetSData()

      Determine if any sData attribute is set
      Returns:
        `true` if the sData attribute is set

    - #### getHData

          java.lang.String getHData()

      Get the value of the hData attribute.
      Returns:
        the value of the hData attribute

    - #### isSetHData

          boolean isSetHData()

      Determine if any hData attribute is set
      Returns:
        `true` if the hData attribute is set

    - #### getSStack

          java.lang.String getSStack()

      Get the value of the sStack attribute.
      Returns:
        the value of the sStack attribute

    - #### isSetSStack

          boolean isSetSStack()

      Determine if any sStack attribute is set
      Returns:
        `true` if the sStack attribute is set

    - #### getHStack

          java.lang.String getHStack()

      Get the value of the hStack attribute.
      Returns:
        the value of the hStack attribute

    - #### isSetHStack

          boolean isSetHStack()

      Determine if any hStack attribute is set
      Returns:
        `true` if the hStack attribute is set

    - #### getSCore

          java.lang.String getSCore()

      Get the value of the sCore attribute.
      Returns:
        the value of the sCore attribute

    - #### isSetSCore

          boolean isSetSCore()

      Determine if any sCore attribute is set
      Returns:
        `true` if the sCore attribute is set

    - #### getHCore

          java.lang.String getHCore()

      Get the value of the hCore attribute.
      Returns:
        the value of the hCore attribute

    - #### isSetHCore

          boolean isSetHCore()

      Determine if any hCore attribute is set
      Returns:
        `true` if the hCore attribute is set

    - #### getSRss

          java.lang.String getSRss()

      Get the value of the sRss attribute.
      Returns:
        the value of the sRss attribute

    - #### isSetSRss

          boolean isSetSRss()

      Determine if any sRss attribute is set
      Returns:
        `true` if the sRss attribute is set

    - #### getHRss

          java.lang.String getHRss()

      Get the value of the hRss attribute.
      Returns:
        the value of the hRss attribute

    - #### isSetHRss

          boolean isSetHRss()

      Determine if any hRss attribute is set
      Returns:
        `true` if the hRss attribute is set

    - #### getSVmem

          java.lang.String getSVmem()

      Get the value of the sVmem attribute.
      Returns:
        the value of the sVmem attribute

    - #### isSetSVmem

          boolean isSetSVmem()

      Determine if any sVmem attribute is set
      Returns:
        `true` if the sVmem attribute is set

    - #### getHVmem

          java.lang.String getHVmem()

      Get the value of the hVmem attribute.
      Returns:
        the value of the hVmem attribute

    - #### isSetHVmem

          boolean isSetHVmem()

      Determine if any hVmem attribute is set
      Returns:
        `true` if the hVmem attribute is set

    - #### getSuspendInterval

          java.lang.String getSuspendInterval()

      Get the value of the suspendInterval attribute.
      Returns:
        the value of the suspendInterval attribute

    - #### isSetSuspendInterval

          boolean isSetSuspendInterval()

      Determine if any suspendInterval attribute is set
      Returns:
        `true` if the suspendInterval attribute is set

    - #### getMinCpuInterval

          java.lang.String getMinCpuInterval()

      Get the value of the minCpuInterval attribute.
      Returns:
        the value of the minCpuInterval attribute

    - #### isSetMinCpuInterval

          boolean isSetMinCpuInterval()

      Determine if any minCpuInterval attribute is set
      Returns:
        `true` if the minCpuInterval attribute is set

    - #### getNotify

          java.lang.String getNotify()

      Get the value of the notify attribute.
      Returns:
        the value of the notify attribute

    - #### isSetNotify

          boolean isSetNotify()

      Determine if any notify attribute is set
      Returns:
        `true` if the notify attribute is set

    - #### getCkptList

          java.util.List<java.lang.String> getCkptList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getCkptCount

          int getCkptCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getCkpt

          java.lang.String getCkpt(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetCkpt

          boolean isSetCkpt()

      Determine if any ckpt attribute is set
      Returns:
        `true` if the ckpt attribute is set

    - #### getPeList

          java.util.List<java.lang.String> getPeList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getPeCount

          int getPeCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getPe

          java.lang.String getPe(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetPe

          boolean isSetPe()

      Determine if any pe attribute is set
      Returns:
        `true` if the pe attribute is set

    - #### getOwnerList

          java.util.List<UserSet> getOwnerList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getOwnerCount

          int getOwnerCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getOwner

          UserSet getOwner(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetOwner

          boolean isSetOwner()

      Determine if any owner attribute is set
      Returns:
        `true` if the owner attribute is set

    - #### getAclList

          java.util.List<UserSet> getAclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getAclCount

          int getAclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getAcl

          UserSet getAcl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetAcl

          boolean isSetAcl()

      Determine if any acl attribute is set
      Returns:
        `true` if the acl attribute is set

    - #### getXaclList

          java.util.List<UserSet> getXaclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.UserSet attributes

    - #### getXaclCount

          int getXaclCount()

      Get the number of com.sun.grid.jgdi.configuration.UserSet attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.UserSet attributes.

    - #### getXacl

          UserSet getXacl(int index)

      Get a com.sun.grid.jgdi.configuration.UserSet attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.UserSet attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.UserSet attribute

    - #### isSetXacl

          boolean isSetXacl()

      Determine if any xacl attribute is set
      Returns:
        `true` if the xacl attribute is set

    - #### getProjectsList

          java.util.List<Project> getProjectsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Project attributes

    - #### getProjectsCount

          int getProjectsCount()

      Get the number of com.sun.grid.jgdi.configuration.Project attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Project attributes.

    - #### getProjects

          Project getProjects(int index)

      Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Project attribute

    - #### isSetProjects

          boolean isSetProjects()

      Determine if any projects attribute is set
      Returns:
        `true` if the projects attribute is set

    - #### getXprojectsList

          java.util.List<Project> getXprojectsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Project attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Project attributes

    - #### getXprojectsCount

          int getXprojectsCount()

      Get the number of com.sun.grid.jgdi.configuration.Project attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Project attributes.

    - #### getXprojects

          Project getXprojects(int index)

      Get a com.sun.grid.jgdi.configuration.Project attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Project attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Project attribute

    - #### isSetXprojects

          boolean isSetXprojects()

      Determine if any xprojects attribute is set
      Returns:
        `true` if the xprojects attribute is set

    - #### getConsumableConfigList

          java.util.List<ComplexEntry> getConsumableConfigList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getConsumableConfigCount

          int getConsumableConfigCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getConsumableConfig

          ComplexEntry getConsumableConfig(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetConsumableConfig

          boolean isSetConsumableConfig()

      Determine if any consumableConfig attribute is set
      Returns:
        `true` if the consumableConfig attribute is set

    - #### getLoadThresholdsList

          java.util.List<ComplexEntry> getLoadThresholdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getLoadThresholdsCount

          int getLoadThresholdsCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getLoadThresholds

          ComplexEntry getLoadThresholds(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetLoadThresholds

          boolean isSetLoadThresholds()

      Determine if any loadThresholds attribute is set
      Returns:
        `true` if the loadThresholds attribute is set

    - #### getSuspendThresholdsList

          java.util.List<ComplexEntry> getSuspendThresholdsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getSuspendThresholdsCount

          int getSuspendThresholdsCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getSuspendThresholds

          ComplexEntry getSuspendThresholds(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetSuspendThresholds

          boolean isSetSuspendThresholds()

      Determine if any suspendThresholds attribute is set
      Returns:
        `true` if the suspendThresholds attribute is set

    - #### getSubordinateList

          java.util.List<Subordinate> getSubordinateList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Subordinate attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Subordinate attributes

    - #### getSubordinateCount

          int getSubordinateCount()

      Get the number of com.sun.grid.jgdi.configuration.Subordinate attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.Subordinate attributes.

    - #### getSubordinate

          Subordinate getSubordinate(int index)

      Get a com.sun.grid.jgdi.configuration.Subordinate attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Subordinate attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Subordinate attribute

    - #### isSetSubordinate

          boolean isSetSubordinate()

      Determine if any subordinate attribute is set
      Returns:
        `true` if the subordinate attribute is set

    - #### getTagged4schedule

          int getTagged4schedule()

      Get the value of the tagged4schedule attribute.
      Returns:
        the value of the tagged4schedule attribute

    - #### isSetTagged4schedule

          boolean isSetTagged4schedule()

      Determine if any tagged4schedule attribute is set
      Returns:
        `true` if the tagged4schedule attribute is set

    - #### getCacheVersion

          int getCacheVersion()

      Get the value of the cacheVersion attribute.
      Returns:
        the value of the cacheVersion attribute

    - #### isSetCacheVersion

          boolean isSetCacheVersion()

      Determine if any cacheVersion attribute is set
      Returns:
        `true` if the cacheVersion attribute is set

    - #### getPendingSignal

          int getPendingSignal()

      Get the value of the pendingSignal attribute.
      Returns:
        the value of the pendingSignal attribute

    - #### isSetPendingSignal

          boolean isSetPendingSignal()

      Determine if any pendingSignal attribute is set
      Returns:
        `true` if the pendingSignal attribute is set

    - #### getPendingSignalDeliveryTime

          int getPendingSignalDeliveryTime()

      Get the value of the pendingSignalDeliveryTime attribute.
      Returns:
        the value of the pendingSignalDeliveryTime attribute

    - #### isSetPendingSignalDeliveryTime

          boolean isSetPendingSignalDeliveryTime()

      Determine if any pendingSignalDeliveryTime attribute is set
      Returns:
        `true` if the pendingSignalDeliveryTime attribute is set

    - #### getVersion

          int getVersion()

      Get the value of the version attribute.
      Returns:
        the value of the version attribute

    - #### isSetVersion

          boolean isSetVersion()

      Determine if any version attribute is set
      Returns:
        `true` if the version attribute is set

    - #### getSuspendedOnSubordinate

          int getSuspendedOnSubordinate()

      Get the value of the suspendedOnSubordinate attribute.
      Returns:
        the value of the suspendedOnSubordinate attribute

    - #### isSetSuspendedOnSubordinate

          boolean isSetSuspendedOnSubordinate()

      Determine if any suspendedOnSubordinate attribute is set
      Returns:
        `true` if the suspendedOnSubordinate attribute is set

    - #### getLastSuspendThresholdCkeck

          int getLastSuspendThresholdCkeck()

      Get the value of the lastSuspendThresholdCkeck attribute.
      Returns:
        the value of the lastSuspendThresholdCkeck attribute

    - #### isSetLastSuspendThresholdCkeck

          boolean isSetLastSuspendThresholdCkeck()

      Determine if any lastSuspendThresholdCkeck attribute is set
      Returns:
        `true` if the lastSuspendThresholdCkeck attribute is set

    - #### getJobCnt

          int getJobCnt()

      Get the value of the jobCnt attribute.
      Returns:
        the value of the jobCnt attribute

    - #### isSetJobCnt

          boolean isSetJobCnt()

      Determine if any jobCnt attribute is set
      Returns:
        `true` if the jobCnt attribute is set

    - #### getPendingJobCnt

          int getPendingJobCnt()

      Get the value of the pendingJobCnt attribute.
      Returns:
        the value of the pendingJobCnt attribute

    - #### isSetPendingJobCnt

          boolean isSetPendingJobCnt()

      Determine if any pendingJobCnt attribute is set
      Returns:
        `true` if the pendingJobCnt attribute is set

    - #### getSoftViolation

          int getSoftViolation()

      Get the value of the softViolation attribute.
      Returns:
        the value of the softViolation attribute

    - #### isSetSoftViolation

          boolean isSetSoftViolation()

      Determine if any softViolation attribute is set
      Returns:
        `true` if the softViolation attribute is set

    - #### getHostSeqNo

          int getHostSeqNo()

      Get the value of the hostSeqNo attribute.
      Returns:
        the value of the hostSeqNo attribute

    - #### isSetHostSeqNo

          boolean isSetHostSeqNo()

      Determine if any hostSeqNo attribute is set
      Returns:
        `true` if the hostSeqNo attribute is set

    - #### getResourceUtilizationList

          java.util.List<ResourceUtilization> getResourceUtilizationList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceUtilization attributes

    - #### getResourceUtilizationCount

          int getResourceUtilizationCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.

    - #### getResourceUtilization

          ResourceUtilization getResourceUtilization(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### isSetResourceUtilization

          boolean isSetResourceUtilization()

      Determine if any resourceUtilization attribute is set
      Returns:
        `true` if the resourceUtilization attribute is set

    - #### getMessageList

          java.util.List<QueueInstanceMessage> getMessageList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes

    - #### getMessageCount

          int getMessageCount()

      Get the number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.QueueInstanceMessage attributes.

    - #### getMessage

          QueueInstanceMessage getMessage(int index)

      Get a com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.QueueInstanceMessage attribute

    - #### isSetMessage

          boolean isSetMessage()

      Determine if any message attribute is set
      Returns:
        `true` if the message attribute is set

    - #### getGdiDoLater

          int getGdiDoLater()

      Get the value of the gdiDoLater attribute.
      Returns:
        the value of the gdiDoLater attribute

    - #### isSetGdiDoLater

          boolean isSetGdiDoLater()

      Determine if any gdiDoLater attribute is set
      Returns:
        `true` if the gdiDoLater attribute is set

    - #### getStateChangesList

          java.util.List<CalendarQueueState> getStateChangesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.CalendarQueueState attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.CalendarQueueState attributes

    - #### getStateChangesCount

          int getStateChangesCount()

      Get the number of com.sun.grid.jgdi.configuration.CalendarQueueState attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.CalendarQueueState attributes.

    - #### getStateChanges

          CalendarQueueState getStateChanges(int index)

      Get a com.sun.grid.jgdi.configuration.CalendarQueueState attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.CalendarQueueState attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.CalendarQueueState attribute

    - #### isSetStateChanges

          boolean isSetStateChanges()

      Determine if any stateChanges attribute is set
      Returns:
        `true` if the stateChanges attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.